AnsweredAssumed Answered

What can i use to select instead of booleanstatus?

Question asked by Viktor Ács on Jun 20, 2017
Latest reply on Jun 25, 2017 by Viktor Ács

Hi,

i'm new to APIs and I'm curious what can you use instead of booleanstatus to select something. For example, i have selected a line with cursor and i get my object with this line: selMgr.GetSelectedObject6(i, -1)

Then i recorded a macro to convert lines and i got this:

boolstatus = Part.Extension.SelectByID2("Line1@3DSketch47", "EXTSKETCHSEGMENT", -6.24001922330137E-02, 0.186067950480265, 0, False, 0, Nothing, 0)

boolstatus = Part.SketchManager.SketchUseEdge3(False, False)

Is boolstatus a variable? why do i save my selection then my convert command in it, looks so silly. i'm not judging i just really dont understand. anyway here is what i want to do:

        swModel.SketchManager.Insert3DSketch True      

    For i = 1 To selMgr.GetSelectedObjectCount

        If selMgr.GetSelectedObjectType3(i, -1) = 24 Then

'select the lines for convert

            boolstatus = selMgr.GetSelectedObject6(i, -1)

'convert the selected line

            boolstatus = swModel.SketchManager.SketchUseEdge3 False, False

            swModel.ClearSelection2 True

        End If

    Next i

Thx for any answers.

Outcomes